Subject: Re: bug#60220: 29.0.60; macOS 13.1 crash shortly after starting Emacs

From: Paul Eggert <[email-masked]>
Date: Thu, 29 Dec 2022 15:49:55 -0800

On 12/29/22 15:46, Aaron Jensen wrote:
>   have something that eagerly
> loads packages on an idle timer (it caches what was loaded when Emacs
> is quit).

Could it by that the dynamic linker is being invoked recursively? That 
is, while something is being dynamically linked, a SIGALRM or equivalent 
arrives, some idle timer code is run, and the dynamic linker is invoked 
before the outer linker finishes? I imagine that might put some dynamic 
linkers into a tizzy.